aboutsummaryrefslogtreecommitdiff
path: root/script/dev-configure.sh
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2021-02-17 19:30:31 +0100
committerAlex Auvolat <alex@adnab.me>2021-02-17 22:13:11 +0100
commit3b023c0c3b985dc1c04c8545351b5ba20cf9189e (patch)
treeb4dcf8443ed7284538821f2dfb7d42127dfa0182 /script/dev-configure.sh
parentb5dc4d33a993ac285cd9c66d5363c3506eac25fc (diff)
downloadgarage-3b023c0c3b985dc1c04c8545351b5ba20cf9189e.tar.gz
garage-3b023c0c3b985dc1c04c8545351b5ba20cf9189e.zip
try to fix smoke test
dev cluster: don't ipv6 (fixes smoke test in container?)
Diffstat (limited to 'script/dev-configure.sh')
-rwxr-xr-xscript/dev-configure.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/script/dev-configure.sh b/script/dev-configure.sh
index 698c7ed9..32393adc 100755
--- a/script/dev-configure.sh
+++ b/script/dev-configure.sh
@@ -1,11 +1,14 @@
#!/bin/bash
+set -ex
+
SCRIPT_FOLDER="`dirname \"$0\"`"
REPO_FOLDER="${SCRIPT_FOLDER}/../"
GARAGE_DEBUG="${REPO_FOLDER}/target/debug/"
GARAGE_RELEASE="${REPO_FOLDER}/target/release/"
PATH="${GARAGE_DEBUG}:${GARAGE_RELEASE}:$PATH"
+sleep 5
until garage status 2>&1|grep -q Healthy ; do
echo "cluster starting..."
sleep 1